<?php declare(strict_types=1);

namespace Omnikassa\Payment;

use Doctrine\DBAL\Connection;

use Omnikassa\Payment\Installers\PaymentMethodInstaller;

use Shopware\Core\Framework\Context;

use Shopware\Core\Framework\Plugin;
use Shopware\Core\Framework\Plugin\Context\ActivateContext;
use Shopware\Core\Framework\Plugin\Context\DeactivateContext;
use Shopware\Core\Framework\Plugin\Context\InstallContext;
use Shopware\Core\Framework\Plugin\Context\UninstallContext;
use Shopware\Core\Framework\Plugin\Context\UpdateContext;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Loader\XmlFileLoader;

class Code1Rok2 extends Plugin
{
 	public function build(ContainerBuilder $container): void
    {
        parent::build($container);

        $loader = new XmlFileLoader($container, new FileLocator(__DIR__ . '/Resources/config'));
        $loader->load('services.xml');
    }

    /**
     * @param InstallContext $context
     */
    public function install(InstallContext $context): void
    {
        (new PaymentMethodInstaller($this->container))->install($context);
    }

    public function update(UpdateContext $context): void {
        (new PaymentMethodInstaller($this->container))->update($context);
    }

    /**
     * @param UninstallContext $context
     */
    public function uninstall(UninstallContext $context): void
    {
        (new PaymentMethodInstaller($this->container))->uninstall($context);

        if ($context->keepUserData()) {
            return;
        }
    }

    /**
     * @param DeactivateContext $context
     */
    public function deactivate(DeactivateContext $context): void
    {
        (new PaymentMethodInstaller($this->container))->deactivate($context);
    }

    /**
     * @param ActivateContext $context
     */
    public function activate(ActivateContext $context): void
    {
        (new PaymentMethodInstaller($this->container))->activate($context);
    }
}
