<?php declare(strict_types=1);

namespace Omnikassa\Payment\PaymentMethods;

abstract class PaymentMethodBase implements PaymentMethodInterface
{
    public function getDescription(): string
    {
        return sprintf('Pay secure with %s, by Omnikassa.', $this->getName());
    }

    public function getTranslations(): array
    {
        return [
            'de-DE' => [
                'name'        => $this->getName(),
                'description' => sprintf('Zahlen Sie sicher mit %s, via Omnikassa.',$this->getName()),
            ],
            'en-GB' => [
                'name'        => $this->getName(),
                'description' => $this->getDescription(),
            ],
            'nl-NL' => [
                'name'        => $this->getName(),
                'description' => sprintf('Betaal veilig met %s, via Omnikassa.',$this->getName()),
            ],
        ];
    }

    public function getTemplate(): ?string
    {
        return null;
    }

    public function getPosition(): int
    {
        return 1;
    }
}