const { Component, Mixin } = Shopware;
import template from './code1-rok2-button.html.twig';

Component.register('code1-rok2-button', {
    template,

    props: ['label'],
    inject: ['code1Rok2'],

    mixins: [
        Mixin.getByName('notification')
    ],

    data() {
        return {
            isLoading: false,
            isSaveSuccessful: false,
        };
    },

    computed: {
        pluginConfig() {
            let $parent = this.$parent;

            while ($parent.actualConfigData === undefined) {
                $parent = $parent.$parent;
            }

            return $parent.actualConfigData.null;
        }
    },

    methods: {
        saveFinish() {
            this.isSaveSuccessful = false;
        },

        check() {
            this.isLoading = true;
            this.code1Rok2.check(this.pluginConfig).then((res) => {
                if (res.success) {
                    this.isSaveSuccessful = true;
                    this.createNotificationSuccess({
                        title: this.$tc('code1-rok2-button.title'),
                        message: this.$tc('code1-rok2-button.success')
                    });
                } else {
                    this.createNotificationError({
                        title: this.$tc('code1-rok2-button.title'),
                        message: this.$tc('code1-rok2-button.error')
                    });
                }

                this.isLoading = false;
            });
        }
    }
})
